
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
        document.addEventListener("resume", function(){ UrlsList.resetNewClicks(); }, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicity call 'app.receivedEvent(...);'
    onDeviceReady: function() {
		
/**
 * Device-dependent services
 */
		//AdBanner.init();
    },
};


$(function() {
	FastClick.attach(document.body);
	
	/**
	 * Init environment
	 */
		TemplateEngine.init();
		
	/**
	 * Init widgets
	 */
		UrlsListWidget.init();
		LoginButtonWidget.init();
		LogStatsSwitchWidget.init();
		RecentUrlsListWidget.init();
		EditWidget.init();
		//AdBanner.initInterstitils();
		
		$("#qrCodePopup").popup();
	 
	/**
	 * Restore saved state
	 */
		AccountModel.restore();
		RecentList.restore();
		UrlsList.restore();
});

